## GtkActionBar GtkActionBar — A full width bar for presenting contextual actions |

## Functions

GtkWidget * | gtk_action_bar_new ()
void | gtk_action_bar_pack_start ()
void | gtk_action_bar_pack_end ()
void | gtk_action_bar_remove ()
GtkWidget * | gtk_action_bar_get_center_widget ()
void | gtk_action_bar_set_center_widget ()
gboolean | gtk_action_bar_get_revealed ()
void | gtk_action_bar_set_revealed ()

## Properties

gboolean | revealed | Read / Write

## Types and Values

| GtkActionBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkActionBar

## Implemented Interfaces

GtkActionBar implements AtkImplementorIface, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <gtk/gtk.h>

## Description

GtkActionBar is designed to present contextual actions. It is expected to be displayed below the content and expand horizontally to fill the area.

It allows placing children at the start or the end. In addition, it contains an internal centered box which is centered with respect to the full width of the box, even if the children at either side take up different amounts of space.

### CSS nodes

GtkActionBar has a single CSS node with name actionbar.

## Functions

### gtk_action_bar_new ()

    GtkWidget *
    gtk_action_bar_new (void);

Creates a new GtkActionBar widget.

#### Returns

a new GtkActionBar

### gtk_action_bar_pack_start ()

    void
    gtk_action_bar_pack_start (GtkActionBar *action_bar,
                               GtkWidget *child);

Adds `child` to `action_bar` , packed with reference to the start of the `action_bar` .

#### Parameters

action_bar | A GtkActionBar |
child | the GtkWidget to be added to `action_bar` |

### gtk_action_bar_pack_end ()

    void
    gtk_action_bar_pack_end (GtkActionBar *action_bar,
                             GtkWidget *child);

Adds `child` to `action_bar` , packed with reference to the end of the `action_bar` .

#### Parameters

action_bar | A GtkActionBar |
child | the GtkWidget to be added to `action_bar` |

### gtk_action_bar_remove ()

    void
    gtk_action_bar_remove (GtkActionBar *action_bar,
                           GtkWidget *child);

Removes a child from `action_bar` .

#### Parameters

action_bar | a GtkActionBar |
child | the GtkWidget to be removed |

### gtk_action_bar_get_center_widget ()

    GtkWidget *
    gtk_action_bar_get_center_widget (GtkActionBar *action_bar);

Retrieves the center bar widget of the bar.

#### Parameters

action_bar | a GtkActionBar |

#### Returns

the center GtkWidget or `NULL`.

[transfer none][nullable]

### gtk_action_bar_set_center_widget ()

    void
    gtk_action_bar_set_center_widget (GtkActionBar *action_bar,
                                      GtkWidget *center_widget);

Sets the center widget for the GtkActionBar.

#### Parameters

action_bar | a GtkActionBar |
center_widget | a widget to use for the center. | [allow-none]

### gtk_action_bar_get_revealed ()

    gboolean
    gtk_action_bar_get_revealed (GtkActionBar *action_bar);

Gets the value of the “revealed” property.

#### Parameters

action_bar | a GtkActionBar |

#### Returns

the current value of the “revealed” property.

### gtk_action_bar_set_revealed ()

    void
    gtk_action_bar_set_revealed (GtkActionBar *action_bar,
                                 gboolean revealed);

Sets the “revealed” property to `revealed` . Changing this will make `action_bar` reveal (`TRUE`) or conceal (`FALSE`) itself via a sliding transition.

Note: this does not show or hide `action_bar` in the “visible” sense, so revealing has no effect if “visible” is `FALSE`.

#### Parameters

action_bar | a GtkActionBar |
revealed | The new value of the property |

## Types and Values

### GtkActionBar

    typedef struct _GtkActionBar GtkActionBar;

## Property Details

### The `“revealed”` property

      “revealed”                 gboolean

Controls whether the action bar shows its contents or not.

Owner: GtkActionBar

Flags: Read / Write

Default value: TRUE

## See Also

GtkBox